package com.ejwa.validate.view;

import java.io.Serializable;
import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.inject.Named;
import javax.validation.constraints.Email;
import javax.validation.constraints.Max;
import javax.validation.constraints.NotEmpty;
import lombok.Data;

@Data
@Named
@ViewScoped
public class ValidateBackingBean implements Serializable {
	@Email @NotEmpty private String email;
	@Max(100) private int value;
}
